#include <bits/stdc++.h>

using namespace std;

int main()
{
   ios::sync_with_stdio(false);
   int rez=0;
   int n,m;
   cin >> n >> m;
   int a[n];
   for(int i=0;i<n;i++)
    cin >> a[i];
   int f,s;
   for(int i=0;i<m;i++)
   {
       cin >>f>>s;
       rez+=max(a[f-1]*(-1)+a[s-1]*(-1),a[f-1]+a[s-1]);
   }
   cout << rez << '\n';
   return 0;

}